
* (c) INSTITUTO NACIONAL DE ESTADISTICAS Y CENSOS.-INEC

* NOMBRE DEL ARCHIVO: TABULADOS RAS 2013.

* TEMA: TABULADOS DEL MODULO DE RESIDUOS PELIGROSOS 
              EN ESTABLECIMIENTOS DE SALUD (BLOQUE 16).


* FUENTE: RECURSOS Y ACTIVIDADES DE SALUD (RAS) 2013 .

* ELABORADO POR: WILSON MONTEROS
	               RAMIRO BENAVIDES

* ULTIMA ACTUALIZACION: 6 de Abril del 2015.


*********************PARTE I***************************************


*************************1.	Porcentaje de establecimientos de salud analizados******************************


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=clasest area DISPLAY=LABEL
  /TABLE clasest [C] BY area [C][COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=clasest [1.00, 2.00, 3.00, 4.00, 5.00, 6.00, 7.00, OTHERNM] EMPTY=INCLUDE 
    TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=area [1.00, 2.00, OTHERNM] EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=clasest area DISPLAY=LABEL
  /TABLE clasest [C] BY area [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=clasest [1.00, 2.00, 3.00, 4.00, 5.00, 6.00, 7.00, OTHERNM] EMPTY=INCLUDE 
    TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=area [1.00, 2.00, OTHERNM] EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=tipo area DISPLAY=LABEL
  /TABLE tipo [C] BY area [C][COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=tipo [1.00, 2.00, 3.00, 4.00, 5.00, 6.00, 7.00, OTHERNM] EMPTY=EXCLUDE 
    TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=area [1.00, 2.00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=tipo area DISPLAY=LABEL
  /TABLE tipo [C] BY area [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=tipo [1.00, 2.00, 3.00, 4.00, 5.00, 6.00, 7.00, OTHERNM] EMPTY=EXCLUDE 
    TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=area [1.00, 2.00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Sector area DISPLAY=LABEL
  /TABLE Sector [COUNT F40.0, ROWPCT.COUNT PCT40.1] BY area [C]
  /CATEGORIES VARIABLES=Sector [1, 2, 3, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /CATEGORIES VARIABLES=area [1.00, 2.00, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /TITLES
    TITLE='Establecimeintos de Salud Analizados por Area, segn Sector'
    CAPTION='Fuente: Registro de Actividades de Salud - RAS 2013' 'Elaborado por: WM'.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Sector area DISPLAY=LABEL
  /TABLE Sector [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY area [C]
  /CATEGORIES VARIABLES=Sector [1, 2, 3, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /CATEGORIES VARIABLES=area [1.00, 2.00, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /TITLES
    TITLE='Establecimeintos de Salud Analizados por Area, segn Sector'
    CAPTION='Fuente: Registro de Actividades de Salud - RAS 2013' 'Elaborado por: WM'.



*******************************2.	Porcentaje de establecimientos de salud llevando un registro*****************************


**************************************************
***Construccin Disposicin***
**************************************************.	

compute despe = 0.
if((k1286 = 1 or k1288= 1)) despe = 1.
if((k1286 <> 1 and k1288 <> 1)) despe = 2.


value label despe
1'SI'
2'NO'.

var label despe 'Recoleccin Desechos Peligrosos'.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=despe DISPLAY=LABEL
  /TABLE BY despe [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /SLABELS POSITION=ROW
  /CATEGORIES VARIABLES=despe [1.00, 2.00, OTHERNM] EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='Recoleccin de Residuos Peligrosos para su Recoleccin'
    CAPTION='Fuente: Recursos y Actividades de Salud (RAS 2013)' 'Mdulo de Residuos Peligrosos '+
    'en Establecimientos de Salud' 'Elaborado por: Propia'.



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=clasest despe DISPLAY=LABEL
  /TABLE clasest [C] BY despe [C][COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=clasest [1.00, 2.00, 3.00, 4.00, 5.00, 6.00, 7.00, OTHERNM] EMPTY=INCLUDE 
    TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=despe [1.00, 2.00, OTHERNM] EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='Recoleccin de Residuos Peligrosos para su Recoleccin'
    CAPTION='Fuente: Recursos y Actividades de Salud (RAS 2013)' 'Mdulo de Residuos Peligrosos '+
    'en Establecimientos de Salud' 'Elaborado por: Propia'.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=clasest despe DISPLAY=LABEL
  /TABLE clasest [C] BY despe [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=clasest [1.00, 2.00, 3.00, 4.00, 5.00, 6.00, 7.00, OTHERNM] EMPTY=INCLUDE 
    TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=despe [1.00, 2.00, OTHERNM] EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='Recoleccin de Residuos Peligrosos para su Recoleccin'
    CAPTION='Fuente: Recursos y Actividades de Salud (RAS 2013)' 'Mdulo de Residuos Peligrosos '+
    'en Establecimientos de Salud' 'Elaborado por: Propia'.




* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=tipo despe DISPLAY=LABEL
  /TABLE tipo [C] BY despe [C][COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=tipo [1.00, 2.00, 3.00, 4.00, 5.00, 6.00, 7.00, OTHERNM] EMPTY=EXCLUDE 
    TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=despe [1.00, 2.00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='Recoleccin de Residuos Peligrosos para su Recoleccin'
    CAPTION='Fuente: Recursos y Actividades de Salud (RAS 2013)' 'Mdulo de Residuos Peligrosos '+
    'en Establecimientos de Salud' 'Elaborado por: Propia'.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=tipo despe DISPLAY=LABEL
  /TABLE tipo [C] BY despe [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=tipo [1.00, 2.00, 3.00, 4.00, 5.00, 6.00, 7.00, OTHERNM] EMPTY=EXCLUDE 
    TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=despe [1.00, 2.00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='Recoleccin de Residuos Peligrosos para su Recoleccin'
    CAPTION='Fuente: Recursos y Actividades de Salud (RAS 2013)' 'Mdulo de Residuos Peligrosos '+
    'en Establecimientos de Salud' 'Elaborado por: Propia'.



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Sector despe DISPLAY=LABEL
  /TABLE Sector BY despe [C][COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=Sector [1, 2, 3, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /CATEGORIES VARIABLES=despe [0, 1, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /TITLES
    TITLE='Recoleccin de Residuos Peligrosos para su Recoleccin, segn Sector del Establecimiento'
    CAPTION='Fuente: Recursos y Actividades de Salud (RAS 2013)' 'Mdulo de Residuos Peligrosos '+
    'en Establecimientos de Salud' 'Elaborado por: WM'.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Sector despe DISPLAY=LABEL
  /TABLE Sector [C] BY despe [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=Sector [1, 2, 3, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /CATEGORIES VARIABLES=despe [0, 1, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /TITLES
    TITLE='Recoleccin de Residuos Peligrosos para su Recoleccin, segn Sector del Establecimiento'
    CAPTION='Fuente: Recursos y Actividades de Salud (RAS 2013)' 'Mdulo de Residuos Peligrosos '+
    'en Establecimientos de Salud' 'Elaborado por: WM'.
 


*******************3.	Porcentaje de entrega de desechos peligrosos por tipo de entidad para su disposicin final *******


compute desesta = 0.
if (k1286 = 1) desesta = 1.
if (k1288 = 1) desesta = 2.

value label desesta
0'NINGUNA'
1'MUNICIPIO'
2'OTRA ENTIDAD'.

var label desesta 'CLASE DE ESTABLECIMIENTO'.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=desesta DISPLAY=LABEL
  /TABLE desesta [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=desesta [1.00, 2.00, .0, OTHERNM] EMPTY=INCLUDE
  /TITLES
    TITLE='Porcentaje de entrega de desechos peligrosos por tipo de entidad para su disposicin '+
    'final '
    CAPTION='Fuente: Recursos y Actividades de Salud (RAS 2013)' 'Mdulo de Residuos Peligrosos '+
    'en Establecimientos de Salud' 'Elaborado por: Propia'.



compute desesta = 0.
if (k1286 = 1 and (k1286 = 1 & k1288 = 1)) desesta = 1.
if (k1288 = 1 and (k1286 = 1 & k1288 = 1)) desesta = 2.

value label desesta
0'NINGUNA'
1'MUNICIPIO'
2'OTRA ENTIDAD'.

var label desesta 'CLASE DE ESTABLECIMIENTO'.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=desesta DISPLAY=LABEL
  /TABLE desesta [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=desesta [1.00, 2.00, .0, OTHERNM] EMPTY=INCLUDE
  /TITLES
    TITLE='Porcentaje de entrega de desechos peligrosos por tipo de entidad para su disposicin '+
    'final '
    CAPTION='Fuente: Recursos y Actividades de Salud (RAS 2013)' 'Mdulo de Residuos Peligrosos '+
    'en Establecimientos de Salud' 'Elaborado por: Propia'.


************** 4.	Cantidad total de desechos peligrosos (KG/ ao) recolectados al ao. **********


recode k1291 (0=SYSMIS) (else=COPY) into k1291r.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=desesta k1291r DISPLAY=LABEL
  /TABLE desesta [C] BY k1291r [S][MINIMUM, MEAN, MAXIMUM, SUM, COUNT F40.0]
  /CATEGORIES VARIABLES=desesta [1.00, 2.00] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE.

*******************5	Tipos de desechos peligrosos recolectados******

************1.	Indicador de  recoleccin por tipo de desechos peligrosos (%)***

recode k1292 (0 88888 99999 =SYSMIS) (else=COPY) into k1292r.
recode k1293 (0 88888 99999 =SYSMIS) (else=COPY) into k1293r.
recode k1294 (0 88888 99999 =SYSMIS) (else=COPY) into k1294r.
recode k1295 (0 88888 99999 =SYSMIS) (else=COPY) into k1295r.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=k1292r k1293r k1294r k1295 DISPLAY=LABEL
  /TABLE k1292r [S][MINIMUM, MEAN, MAXIMUM, SUM, COUNT F40.0] + k1293r [S][MINIMUM, MEAN, MAXIMUM, 
    SUM, COUNT F40.0] + k1294r [S][MINIMUM, MEAN, MAXIMUM, SUM, COUNT F40.0] + k1295r [S][MINIMUM, MEAN, 
    MAXIMUM, SUM, COUNT F40.0].

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=clasest k1292r k1293r k1294r k1295r DISPLAY=LABEL
  /TABLE clasest BY k1292r [S][MINIMUM, MEAN, MAXIMUM, SUM, COUNT F40.0] + k1293r [S][MINIMUM, MEAN, 
    MAXIMUM, SUM, COUNT F40.0] + k1294r [S][MINIMUM, MEAN, MAXIMUM, SUM, COUNT F40.0] + k1295r 
    [S][MINIMUM, MEAN, MAXIMUM, SUM, COUNT F40.0]
  /CATEGORIES VARIABLES=clasest [1.00, 2.00, 3.00, 4.00, 5.00, 6.00, 7.00, OTHERNM] EMPTY=INCLUDE 
    TOTAL=YES LABEL='Nacional' POSITION=AFTER.

***************************2. Indicador  de peso medio por tipo de desechos peligrosos (kg)

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=k1292r k1293r k1294r k1295r DISPLAY=LABEL
  /TABLE BY k1292r [S][MEAN] + k1293r [S][MEAN] + k1294r [S][MEAN] + k1295r [MEAN]
  /TITLES
    TITLE='Indicador  promedio de recoleccin de desechos peligrosos (kg)'
    CAPTION='Fuente: Registro de Actividades de Salud - RAS 2013' 'Elaborado por: WM'.


******************Infecciosos**************************

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=area k1292r DISPLAY=LABEL
  /TABLE area [C] BY k1292r [S][MINIMUM, MEAN, MAXIMUM, SUM, COUNT F40.0]
  /CATEGORIES VARIABLES=area [1.00, 2.00, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /TITLES
    TITLE='Residuos Infecciosos, segn Area (kg)'
    CAPTION='Fuente: Registro de Actividades de Salud - RAS 2013' 'Elaborado por: WM'.


******************Cortopunzantes**************************

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=area k1293r DISPLAY=LABEL
  /TABLE area [C] BY k1293r [S][MINIMUM, MEAN, MAXIMUM, SUM, COUNT F40.0]
  /CATEGORIES VARIABLES=area [1.00, 2.00, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /TITLES
    TITLE='Residuos Cortopunzantes, segn Area (kg)'
    CAPTION='Fuente: Registro de Actividades de Salud - RAS 2013' 'Elaborado por: WM'.


******************Especiales**************************

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=area k1294r DISPLAY=LABEL
  /TABLE area [C] BY k1294r [S][MINIMUM, MEAN, MAXIMUM, SUM, COUNT F40.0]
  /CATEGORIES VARIABLES=area [1.00, 2.00, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /TITLES
    TITLE='Residuos Especiales, segn Area (kg)'
    CAPTION='Fuente: Registro de Actividades de Salud - RAS 2013' 'Elaborado por: WM'.



************Por Tipo de Establecimiento****


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=desesta k1292r k1293r k1294r k1295r DISPLAY=LABEL
  /TABLE desesta [C] BY k1292r [MEAN] + k1293r [MEAN] + k1294r [MEAN] + k1295r [MEAN]
  /CATEGORIES VARIABLES=desesta [1.00, 2.00] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' POSITION=AFTER    
  /TITLES
    TITLE='Recoleccin Promedio de Residuos por Tipo, segn Establecimiento (kg)'
    CAPTION='Fuente: Registro de Actividades de Salud - RAS 2013' 'Elaborado por: WM'.



*****************6.	Indicador  de peso medio por tipo de desechos peligrosos especiales (kg)

******Infecciosos*****


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=clasest k1292r DISPLAY=LABEL
  /TABLE clasest [C] BY k1292r [S][MEAN]
  /CATEGORIES VARIABLES=clasest [1.00, 2.00, 3.00, 4.00, 5.00, 6.00, 7.00, OTHERNM] EMPTY=INCLUDE 
    TOTAL=YES LABEL='Nacional' POSITION=AFTER
  /TITLES
    TITLE='Residuos Infecciosos Promedio, Segn Tipo de Establecimiento (kg)'
    CAPTION='Fuente: Registro de Actividades de Salud - RAS 2013' 'Elaborado por: WM'.


******Cortopunzantes********


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=clasest k1293r DISPLAY=LABEL
  /TABLE clasest [C] BY k1293r [S][MEAN]
  /CATEGORIES VARIABLES=clasest [1.00, 2.00, 3.00, 4.00, 5.00, 6.00, 7.00, OTHERNM] EMPTY=INCLUDE 
    TOTAL=YES LABEL='Nacional' POSITION=AFTER
  /TITLES
    TITLE='Residuos Cortopunzantes Promedio, Segn Tipo de Establecimiento (kg)'
    CAPTION='Fuente: Registro de Actividades de Salud - RAS 2013' 'Elaborado por: WM'.


******Especiales********


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=clasest k1294r DISPLAY=LABEL
  /TABLE clasest [C] BY k1294r [S][MEAN]
  /CATEGORIES VARIABLES=clasest [1.00, 2.00, 3.00, 4.00, 5.00, 6.00, 7.00, OTHERNM] EMPTY=INCLUDE 
    TOTAL=YES LABEL='Nacional' POSITION=AFTER
  /TITLES
    TITLE='Residuos Especiales Promedio, Segn Tipo de Establecimiento (kg)'
    CAPTION='Fuente: Registro de Actividades de Salud - RAS 2013' 'Elaborado por: WM'.


******Recoleccin y Control de Residuos Peligrosos por Clase ********************************

recode p1291 (999999  99999 88888 888888 = SYSMIS).

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=p1291 clasest DISPLAY=LABEL
  /TABLE p1291 [S][SUM, ROWPCT.COUNT PCT40.1] BY clasest [C]
  /SLABELS POSITION=ROW
  /CATEGORIES VARIABLES=clasest [1.00, 2.00, 3.00, 4.00, 5.00, 6.00, 7.00, OTHERNM] EMPTY=INCLUDE 
    TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='Cantidad total de desechos peligrosos (KG/ ao)  recolectados al ao por clase de '+
    'establecimiento . '
    CAPTION='Fuente: Recursos y Actividades de Salud (RAS 2013)' 'Mdulo de Residuos Peligrosos '+
    'en Establecimientos de Salud' 'Elaborado por: Propia'.


*************************7. Indicador de  recoleccin por tipo de desechos peligrosos (%)********************

************************************Cuadro 9***************************************************


recode p1292 p1293 p1294 p1295 (99999 88888 = SYSMIS).

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=p1292 p1293 p1294 p1295 DISPLAY=LABEL
  /TABLE BY p1292 [S][SUM, LAYERROWPCT.TOTALN PCT40.1] + p1293 [S][SUM, LAYERROWPCT.TOTALN PCT40.1] 
    + p1294 [S][SUM, LAYERROWPCT.TOTALN PCT40.1] + p1295 [S][SUM, LAYERROWPCT.TOTALN PCT40.1]
  /TITLES
    TITLE='Cantidad total de desechos (KG/ ao)  recolectados al ao por tipo de desecho '+
    'peligrosos . '
    CAPTION='Fuente: Recursos y Actividades de Salud (RAS 2013)' 'Mdulo de Residuos Peligrosos '+
    'en Establecimientos de Salud' 'Elaborado por: Propia'.



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=k1295r DISPLAY=LABEL
  /TABLE k1295r [MINIMUM, MEAN, MAXIMUM, SUM, COUNT F40.0]
  /TITLES
    TITLE='Indicador  promedio de recoleccin de desechos peligrosos (kg)'
    CAPTION='Fuente: Registro de Actividades de Salud - RAS 2013' 'Elaborado por: WM'.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=k1292r k1293r k1294r DISPLAY=LABEL
  /TABLE BY k1292r [MEAN] + k1293r [MEAN] + k1294r [MEAN]
  /TITLES
    TITLE='Indicador  promedio de recoleccin de desechos peligrosos por tipo (kg)'
    CAPTION='Fuente: Registro de Actividades de Salud - RAS 2013' 'Elaborado por: WM'.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Sector k1286 DISPLAY=LABEL
  /TABLE Sector [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY k1286 [C]
  /CATEGORIES VARIABLES=Sector [1, 2, 3, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /CATEGORIES VARIABLES=k1286 [1] EMPTY=INCLUDE.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Sector k1288 DISPLAY=LABEL
  /TABLE Sector [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY k1288 [C]
  /CATEGORIES VARIABLES=Sector [1, 2, 3, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /CATEGORIES VARIABLES=k1288 [1] EMPTY=INCLUDE.


recode k1287 (0 88888 99999 = SYSMIS) (else = copy) into k1287r.
recode k1289 (0 88888 99999 = SYSMIS) (else = copy) into k1289r.
recode k1291 (0 88888 99999 = SYSMIS) (else = copy) into k1291r.
execute.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=k1287r k1289r k1291r DISPLAY=LABEL
  /TABLE k1287r [S][MAXIMUM, MEAN, MINIMUM, SUM, COUNT F40.0] + k1289r [S][MAXIMUM, MEAN, MINIMUM, 
    SUM, COUNT F40.0] + k1291r [S][MAXIMUM, MEAN, MINIMUM, SUM, COUNT F40.0].

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Sector k1291r DISPLAY=LABEL
  /TABLE Sector BY k1291r [MAXIMUM, MEAN, MINIMUM, SUM, COUNT F40.0]
  /CATEGORIES VARIABLES=Sector [1, 2, 3, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER.


**************Tipo de Residuos Peligrosos Recolectados por Tipo***********************************


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Sector k1292r k1293r k1294r k1295r DISPLAY=LABEL
  /TABLE Sector BY k1292r [S][MINIMUM, MEAN, MAXIMUM, SUM, COUNT F40.0] + k1293r [S][MINIMUM, MEAN, 
    MAXIMUM, SUM, COUNT F40.0] + k1294r [S][MINIMUM, MEAN, MAXIMUM, SUM, COUNT F40.0] + k1295r 
    [S][MINIMUM, MEAN, MAXIMUM, SUM, COUNT F40.0]
  /CATEGORIES VARIABLES=Sector [1.00, 2.00, 3.00, 4.00, 5.00, 6.00, 7.00, OTHERNM] EMPTY=EXCLUDE 
    TOTAL=YES LABEL='Nacional' POSITION=AFTER.

**************Tipo de Residuos Peligrosos Recolectados segn Sector**********************************

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Sector k1295r DISPLAY=LABEL
  /TABLE Sector [C] BY k1295r [S][MAXIMUM, MEAN, MINIMUM, SUM, COUNT F40.0, MEDIAN]
  /CATEGORIES VARIABLES=Sector [1, 2, 3, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER.

**************Gestin de Residuos Peligrosos Recolectados segn Sector**********************************

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Sector k1296 DISPLAY=LABEL
  /TABLE Sector [C][COUNT F40.0, COLPCT.COUNT PCT40.1, ROWPCT.COUNT PCT40.1] BY k1296 [C]
  /CATEGORIES VARIABLES=Sector [1, 2, 3, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /CATEGORIES VARIABLES=k1296 [1] EMPTY=INCLUDE.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Sector k1297 DISPLAY=LABEL
  /TABLE Sector [C][COUNT F40.0, COLPCT.COUNT PCT40.1, ROWPCT.COUNT PCT40.1] BY k1297 [C]
  /CATEGORIES VARIABLES=Sector [1, 2, 3, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /CATEGORIES VARIABLES=k1297 [1] EMPTY=INCLUDE.


*********************PARTE II********************************************************


***********3.	Disposicin final de los residuos peligrosos.

recode k1301 (88888, 99999, 0 = SYSMIS) (ELSE = COPY) into k1301r. 
recode k1303 (88888, 99999, 0 = SYSMIS) (ELSE = COPY) into k1303r. 
recode k1305 (88888, 99999, 0 = SYSMIS) (ELSE = COPY) into k1305r. 
recode k1307 (88888, 99999, 0 = SYSMIS) (ELSE = COPY) into k1307r. 

TABLES  /FORMAT BLANK MISSING('.')
/obser=base k1301r
/ptotal = total'Nacional'
/TABLE= total + area  + Tipo + clasest by k1301r + base
/STATISTICS= MINIMUM(k1301r (f8.2)'Mnimo (kg.)') MEAN(k1301r (f8.2)'Promedio (kg.)') MAXIMUM(k1301r (f8.2)'Mximo (kg.)')
 SUM (k1301r (f8.2)'Suma (kg.)') sum(base(f8.0)'Establecimientos')
/title='Residuos peligrosos dispuestos en celdas de confinamiento (31)'
/caption='Fuente: RAS 2014' 'Elaborado por: Ing. Ramiro Benavides L. - 23/02/2015'.

TABLES  /FORMAT BLANK MISSING('.')
/obser=base k1303r
/ptotal = total'Nacional'
/TABLE= total + area  + Tipo + clasest by k1303r + base
/STATISTICS= MINIMUM(k1303r (f8.2)'Mnimo (kg.)') MEAN(k1303r (f8.2)'Promedio (kg.)') MAXIMUM(k1303r (f8.2)'Mximo (kg.)')
 SUM (k1303r (f8.2)'Suma (kg.)') sum(base(f8.0)'Establecimientos')
/title='Residuos peligrosos incinerados (32)'
/caption='Fuente: RAS 2014' 'Elaborado por: Ing. Ramiro Benavides L. - 23/02/2015'.

TABLES  /FORMAT BLANK MISSING('.')
/obser=base k1305r
/ptotal = total'Nacional'
/TABLE= total + area  + Tipo + clasest by k1305r + base
/STATISTICS= MINIMUM(k1305r (f8.2)'Mnimo (kg.)') MEAN(k1305r (f8.2)'Promedio (kg.)') MAXIMUM(k1305r (f8.2)'Mximo (kg.)')
 SUM (k1305r (f8.2)'Suma (kg.)') sum(base(f8.0)'Establecimientos')
/title='Residuos peligrosos dispuestos en otras formas (33)'
/caption='Fuente: RAS 2014' 'Elaborado por: Ing. Ramiro Benavides L. - 23/02/2015'.

if (k1300 = 1) IDPTDF = 1.  
if (k1302 = 1) IDPTDF = 2.  
if (k1304 = 1) IDPTDF = 3. 
val lab IDPTDF 1'Celdas de confinamiento' 2'Incinerados' 3'Otros'.

TABLES  /FORMAT BLANK MISSING('.')
/obser=base IDPTDF
/ptotal = total'Nacional'
/TABLE= total + area  + Tipo + clasest by IDPTDF + base
/STATISTICS= COUNT(IDPTDF (f8.2)'Recuento')  sum(base(f8.0)'Establecimientos')
/title='Indicador de Desechos Peligrosos por tipo de disposicin final'
/caption='Fuente: RAS 2014' 'Elaborado por: Ing. Ramiro Benavides L. - 23/02/2015'.

* Entidades que tienen disposicin final de residuos peligrosos.
CTABLES
  /VLABELS VARIABLES=area Tipo clasest k1306 DISPLAY=LABEL
  /TABLE area + Tipo + clasest BY k1306 [COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=area k1306 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=Tipo clasest ORDER=A KEY=VALUE EMPTY=INCLUDE.


*** 2. Gestin de residuos peligrosos.

TABLES  /FORMAT BLANK MISSING('.')
/obser=base
/ptotal = total'Nacional'
/TABLE= total + area  + Tipo + clasest by k1296 + base
/STATISTICS= count(k1296 (f8)'Entidad') sum(base(f8.0)'Entidades')
/title='Tarifa diferenciada de acuerdo al tipo de gestin dada a los residuos peligrosos del establecimiento de salud (21)'
/caption='Fuente: RAS 2014' 'Elaborado por: Ing. Ramiro Benavides L. - 23/02/2015'.

* Es otra versin de la tabla anterior.
CTABLES
  /VLABELS VARIABLES=area Tipo clasest k1296 DISPLAY=LABEL
  /TABLE area + Tipo + clasest BY k1296 [COUNT F40.0, ROWPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=area ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=Tipo clasest ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=k1296 [1, 0, OTHERNM] EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE.

* Cantidad de residuos con tarifa diferenciada de acuerdo a la gestin dada a los residuos peligrosos.
CTABLES
  /VLABELS VARIABLES=area Tipo clasest k1297 DISPLAY=LABEL
  /TABLE area + Tipo + clasest BY k1297 [COUNT F40.0, ROWPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=area ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=Tipo clasest ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=k1297 [1, 0, OTHERNM] EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE.

* Cantidad de residuos de las entidades que informan sobre la gestin dada a los residuos peligrosos.
CTABLES
  /VLABELS VARIABLES=area Tipo clasest k1298 DISPLAY=LABEL
  /TABLE area + Tipo + clasest BY k1298 [COUNT F40.0, ROWPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=area ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=Tipo clasest ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=k1298 [1, 0, OTHERNM] EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Estable k1307 k1301 k1303 k1305 DISPLAY=LABEL
  /TABLE Estable [C] BY k1307 [C][COUNT F40.0] + k1301 [C][COUNT F40.0] + k1303 [C][COUNT F40.0] + 
    k1305 [C][COUNT F40.0]
  /CATEGORIES VARIABLES=Estable k1307 k1301 k1303 k1305 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES 
    POSITION=AFTER.



recode k1291 (88888, 99999, 0 = SYSMIS) (ELSE = COPY) into k1291r. 

compute filtro_hosp_clin = (clasest = 3 OR clasest = 5). 
																																																																																													/* peligrosos recolectados para hospitales y clnicas.
filter by filtro_hosp_clin.

TABLES  /FORMAT BLANK MISSING('.')
/obser=base k1291r
/ptotal = total'Nacional'
/TABLE= total + clasest by k1291r + base
/STATISTICS= MINIMUM(k1291r (f8.2)'Mnimo (kg.)') MEAN(k1291r (f8.2)'Promedio (kg.)') MAXIMUM(k1291r (f8.2)'Mximo (kg.)')
 SUM (k1291r (f8.2)'Suma (kg.)') sum(base(f8.0)'Establecimientos')
/title='Recoleccin y control de residuos peligrosos: Hospitales y clnicas (10)'
/caption='Fuente: RAS 2014' 'Elaborado por: Ing. Ramiro Benavides L. - 23/02/2015'.



*Nota: De ser necessario, renombrar las variables con inicial P por K.

